export interface ICryptoKeyPairData {
    readonly publicKey: JsonWebKey;
    readonly privateKey: JsonWebKey;
}
export declare function generateSigningKey(): Promise<CryptoKeyPair>;
export declare function generateEncryptionKey(): Promise<CryptoKeyPair>;
export declare function exportKey(cryptoKeyPair: CryptoKeyPair): Promise<ICryptoKeyPairData>;
export declare function importKey(cryptoKeyPairData: ICryptoKeyPairData): Promise<CryptoKeyPair>;
export declare function sign(plaintext: Uint8Array, signingPrivateKey: CryptoKey): Promise<Uint8Array>;
export declare function verifySignature(plaintext: Uint8Array, signature: Uint8Array, signingPublicKey: CryptoKey): Promise<boolean>;
export declare function encrypt(plaintext: Uint8Array, encryptionPublicKey: CryptoKey): Promise<Uint8Array>;
export declare function decrypt(ciphertext: Uint8Array, encryptionPrivateKey: CryptoKey): Promise<Uint8Array>;
